paso::ReactiveSolver Struct Reference

`#include <ReactiveSolver.h>`

## Public Member Functions

| ReactiveSolver (const_TransportProblem_ptr _tp)
| ~ReactiveSolver ()
void | initialize (double _dt, Options *)
SolverResult | solve (double *u, double *u_old, const double *source, Options *options, Performance *pp)

## Static Public Member Functions

static double | getSafeTimeStepSize (const_TransportProblem_ptr tp)

## Public Attributes

const_TransportProblem_ptr | tp
double | dt

## Constructor & Destructor Documentation

## ReactiveSolver()

paso::ReactiveSolver::ReactiveSolver | ( | const_TransportProblem_ptr | _tp | ) |

inline

## ~ReactiveSolver()

paso::ReactiveSolver::~ReactiveSolver | ( |  | ) |

inline

## Member Function Documentation

## getSafeTimeStepSize()

double paso::ReactiveSolver::getSafeTimeStepSize | ( | const_TransportProblem_ptr | tp | ) |

static

## initialize()

void paso::ReactiveSolver::initialize | ( | double | _dt,
|  | Options * |
| ) |  |

inline

## solve()

SolverResult paso::ReactiveSolver::solve | ( | double * | u,
|  | double * | u_old,
|  | const double * | source,
|  | Options * | options,
|  | Performance * | pp
| ) |  |

## Member Data Documentation

## dt

double paso::ReactiveSolver::dt

## tp

const_TransportProblem_ptr paso::ReactiveSolver::tp

The documentation for this struct was generated from the following files:

- ReactiveSolver.h
- ReactiveSolver.cpp